Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Possible Duplicate:
How can I fix a 404 Error using a PPA?

I am getting few errors when I run the command sudo apt-get update here is the output of errors only.

Err http://ppa.launchpad.net maverick/main Sources   404  Not Found
Err http://ppa.launchpad.net maverick/main i386 Packages   404  Not Found
Fetched 2,457B in 5min 5s (8B/s)
W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/maverick-security/main/source/Sources.gz Hash Sum mismatch
W: Failed to fetch http://ppa.launchpad.net/nanny/ppa/ubuntu/dists/maverick/main/source/Sources.gz 404  Not Found
W: Failed to fetch http://ppa.launchpad.net/nanny/ppa/ubuntu/dists/maverick/main/binary-i386/Packages.gz 404  Not Found
W: Failed to fetch http://ppa.launchpad.net/quickly/ppa/ubuntu/dists/maverick/main/source/Sources.gz 404  Not Found
W: Failed to fetch http://ppa.launchpad.net/quickly/ppa/ubuntu/dists/maverick/main/binary-i386/Packages.gz 404  Not Found
E: Some index files failed to download, they have been ignored, or old ones used instead.

I added the quickly-ppa but I cant find it in the sources list and getting error.

share|improve this question

marked as duplicate by Marco Ceppi Jan 10 '12 at 13:51

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

add comment

2 Answers 2

up vote 2 down vote accepted

http://ppa.launchpad.net/quickly/ppa/ubuntu/dists -> there's no maverick version

http://ppa.launchpad.net/nanny/ppa/ubuntu/dists -> there's no maverick version

To fix this:

  • Applications > Sofware Center,
  • Edit > Sofware sources...,
  • Enter your password,
  • Go to the 'Other Software' tab, and
  • Edit the PPAs for Quickly and Nanny so the 'Distribution' field is 'karmic'.

Also, there's a hash sum mismatch for the maverick-security repo (can be caused by corrupted downloads, etc.), which should be fixed by simply running apt-get update again.

share|improve this answer
    
Thanks htorque, it was helpful, but still I have a doubt why there is maverick in the ppa if there is no ppa for it? My maverick-security repo is showing error since the day one of installation on my two computers, so what could be the problem? thanks. –  Gaurav Butola Nov 14 '10 at 8:21
    
When you use apt-add to add the PPA, it will automatically use the distribution value of the Ubuntu version you currently use. About the hash sum mismatch - no idea, sorry. –  htorque Nov 14 '10 at 11:02
    
thanks for the help. –  Gaurav Butola Nov 14 '10 at 17:39
    
Since this is a duplicate, if you could please delete your answer so that this question will redirect - thanks! –  jrg May 3 '12 at 1:16
add comment

Run sudo apt-get update in terminal and then try reinstalling the package again.

share|improve this answer
    
I am not trying to install anything, Its just that, I am getting errors on apt-get update. I have mentioned the quickly ppa because it is showing errors and I cant find it in the sources list to delete it. Of course I got these errors after doing sudo apt-get update as I have mentioned in the question. –  Gaurav Butola Nov 13 '10 at 22:14
    
Since this is a duplicate, if you could please delete your answer so that this question will redirect - thanks! –  jrg May 3 '12 at 1:16
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.